james-server-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tellier Benoit (JIRA)" <server-...@james.apache.org>
Subject [jira] [Created] (JAMES-1575) James should use latest version of other James subprojects
Date Wed, 29 Apr 2015 08:31:06 GMT
Tellier Benoit created JAMES-1575:
-------------------------------------

             Summary: James should use latest version of other James subprojects
                 Key: JAMES-1575
                 URL: https://issues.apache.org/jira/browse/JAMES-1575
             Project: James Server
          Issue Type: Improvement
          Components: Build System
    Affects Versions: 3.0.0-beta5
            Reporter: Tellier Benoit
             Fix For: 3.0.0-beta5


We want an integration tool that builds the entire James project in its latest version.

To do that, each james project needs to use the latest version of all other James subprojects.

In James, this means :

Using james-protocols 1.6.4-SNAPSHOT instead of 1.6.3
Using jspf 1.0.1-SNAPSHOT instead of 1.0.0
Relying on james-project 1.8.3-SNAPSHOT instead of 1.8.2

To build this project with modern JDK, we also need the directory /app/src/main/config/war/
to be created



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: server-dev-unsubscribe@james.apache.org
For additional commands, e-mail: server-dev-help@james.apache.org


Mime
View raw message